pragma Warnings (Off);
pragma Ada_95;
pragma Source_File_Name (ada_main, Spec_File_Name => "b__parse.ads");
pragma Source_File_Name (ada_main, Body_File_Name => "b__parse.adb");
pragma Suppress (Overflow_Check);

with System.Restrictions;
with Ada.Exceptions;

package body ada_main is

   E008 : Short_Integer; pragma Import (Ada, E008, "ada__exceptions_E");
   E013 : Short_Integer; pragma Import (Ada, E013, "system__soft_links_E");
   E024 : Short_Integer; pragma Import (Ada, E024, "system__exception_table_E");
   E031 : Short_Integer; pragma Import (Ada, E031, "ada__numerics_E");
   E025 : Short_Integer; pragma Import (Ada, E025, "system__exceptions_E");
   E020 : Short_Integer; pragma Import (Ada, E020, "system__soft_links__initialize_E");
   E069 : Short_Integer; pragma Import (Ada, E069, "ada__containers_E");
   E076 : Short_Integer; pragma Import (Ada, E076, "ada__io_exceptions_E");
   E079 : Short_Integer; pragma Import (Ada, E079, "ada__strings_E");
   E081 : Short_Integer; pragma Import (Ada, E081, "ada__strings__utf_encoding_E");
   E149 : Short_Integer; pragma Import (Ada, E149, "gnat_E");
   E054 : Short_Integer; pragma Import (Ada, E054, "interfaces__c_E");
   E226 : Short_Integer; pragma Import (Ada, E226, "interfaces__c__strings_E");
   E315 : Short_Integer; pragma Import (Ada, E315, "system__aux_dec_E");
   E056 : Short_Integer; pragma Import (Ada, E056, "system__os_lib_E");
   E279 : Short_Integer; pragma Import (Ada, E279, "system__task_info_E");
   E089 : Short_Integer; pragma Import (Ada, E089, "ada__tags_E");
   E078 : Short_Integer; pragma Import (Ada, E078, "ada__strings__text_buffers_E");
   E075 : Short_Integer; pragma Import (Ada, E075, "ada__streams_E");
   E140 : Short_Integer; pragma Import (Ada, E140, "system__file_control_block_E");
   E105 : Short_Integer; pragma Import (Ada, E105, "system__finalization_root_E");
   E073 : Short_Integer; pragma Import (Ada, E073, "ada__finalization_E");
   E139 : Short_Integer; pragma Import (Ada, E139, "system__file_io_E");
   E161 : Short_Integer; pragma Import (Ada, E161, "system__storage_pools_E");
   E163 : Short_Integer; pragma Import (Ada, E163, "system__finalization_masters_E");
   E179 : Short_Integer; pragma Import (Ada, E179, "system__storage_pools__subpools_E");
   E006 : Short_Integer; pragma Import (Ada, E006, "ada__calendar_E");
   E263 : Short_Integer; pragma Import (Ada, E263, "ada__calendar__delays_E");
   E199 : Short_Integer; pragma Import (Ada, E199, "ada__calendar__time_zones_E");
   E135 : Short_Integer; pragma Import (Ada, E135, "ada__text_io_E");
   E228 : Short_Integer; pragma Import (Ada, E228, "gnat__calendar_E");
   E115 : Short_Integer; pragma Import (Ada, E115, "ada__strings__maps_E");
   E146 : Short_Integer; pragma Import (Ada, E146, "ada__strings__maps__constants_E");
   E111 : Short_Integer; pragma Import (Ada, E111, "ada__strings__unbounded_E");
   E246 : Short_Integer; pragma Import (Ada, E246, "system__regpat_E");
   E193 : Short_Integer; pragma Import (Ada, E193, "gnat__directory_operations_E");
   E273 : Short_Integer; pragma Import (Ada, E273, "system__task_primitives__operations_E");
   E231 : Short_Integer; pragma Import (Ada, E231, "gnat__calendar__time_io_E");
   E167 : Short_Integer; pragma Import (Ada, E167, "system__pool_global_E");
   E241 : Short_Integer; pragma Import (Ada, E241, "gnat__expect_E");
   E261 : Short_Integer; pragma Import (Ada, E261, "system__random_seed_E");
   E214 : Short_Integer; pragma Import (Ada, E214, "system__regexp_E");
   E206 : Short_Integer; pragma Import (Ada, E206, "ada__directories_E");
   E301 : Short_Integer; pragma Import (Ada, E301, "system__tasking__initialization_E");
   E289 : Short_Integer; pragma Import (Ada, E289, "system__tasking__protected_objects_E");
   E305 : Short_Integer; pragma Import (Ada, E305, "system__tasking__protected_objects__entries_E");
   E307 : Short_Integer; pragma Import (Ada, E307, "system__tasking__queuing_E");
   E313 : Short_Integer; pragma Import (Ada, E313, "gnat__semaphores_E");
   E154 : Short_Integer; pragma Import (Ada, E154, "gnatcoll__atomic_E");
   E265 : Short_Integer; pragma Import (Ada, E265, "gnatcoll__locks_E");
   E237 : Short_Integer; pragma Import (Ada, E237, "gnatcoll__os_E");
   E156 : Short_Integer; pragma Import (Ada, E156, "gnatcoll__storage_pools__headers_E");
   E152 : Short_Integer; pragma Import (Ada, E152, "gnatcoll__refcount_E");
   E236 : Short_Integer; pragma Import (Ada, E236, "gnatcoll__string_builders_E");
   E186 : Short_Integer; pragma Import (Ada, E186, "gnatcoll__strings_impl_E");
   E184 : Short_Integer; pragma Import (Ada, E184, "gnatcoll__strings_E");
   E183 : Short_Integer; pragma Import (Ada, E183, "gnatcoll__strings_E");
   E216 : Short_Integer; pragma Import (Ada, E216, "gnatcoll__mmap_E");
   E218 : Short_Integer; pragma Import (Ada, E218, "gnatcoll__mmap__system_E");
   E222 : Short_Integer; pragma Import (Ada, E222, "gnatcoll__utils_E");
   E177 : Short_Integer; pragma Import (Ada, E177, "gnatcoll__io_E");
   E220 : Short_Integer; pragma Import (Ada, E220, "gnatcoll__path_E");
   E195 : Short_Integer; pragma Import (Ada, E195, "gnatcoll__io__native_E");
   E252 : Short_Integer; pragma Import (Ada, E252, "gnatcoll__remote_E");
   E256 : Short_Integer; pragma Import (Ada, E256, "gnatcoll__remote__db_E");
   E191 : Short_Integer; pragma Import (Ada, E191, "gnatcoll__io__remote_E");
   E250 : Short_Integer; pragma Import (Ada, E250, "gnatcoll__io__remote__unix_E");
   E254 : Short_Integer; pragma Import (Ada, E254, "gnatcoll__io__remote__windows_E");
   E169 : Short_Integer; pragma Import (Ada, E169, "gnatcoll__vfs_E");
   E143 : Short_Integer; pragma Import (Ada, E143, "gnatcoll__opt_parse_E");

   Sec_Default_Sized_Stacks : array (1 .. 1) of aliased System.Secondary_Stack.SS_Stack (System.Parameters.Runtime_Default_Sec_Stack_Size);

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   Is_Elaborated : Boolean := False;

   procedure finalize_library is
   begin
      declare
         procedure F1;
         pragma Import (Ada, F1, "gnatcoll__opt_parse__finalize_body");
      begin
         E143 := E143 - 1;
         if E143 = 0 then
            F1;
         end if;
      end;
      declare
         procedure F2;
         pragma Import (Ada, F2, "gnatcoll__opt_parse__finalize_spec");
      begin
         if E143 = 0 then
            F2;
         end if;
      end;
      E169 := E169 - 1;
      declare
         procedure F3;
         pragma Import (Ada, F3, "gnatcoll__vfs__finalize_spec");
      begin
         if E169 = 0 then
            F3;
         end if;
      end;
      E191 := E191 - 1;
      declare
         procedure F4;
         pragma Import (Ada, F4, "gnatcoll__io__remote__finalize_spec");
      begin
         if E191 = 0 then
            F4;
         end if;
      end;
      declare
         procedure F5;
         pragma Import (Ada, F5, "gnatcoll__remote__finalize_spec");
      begin
         E252 := E252 - 1;
         if E252 = 0 then
            F5;
         end if;
      end;
      E195 := E195 - 1;
      declare
         procedure F6;
         pragma Import (Ada, F6, "gnatcoll__io__native__finalize_spec");
      begin
         if E195 = 0 then
            F6;
         end if;
      end;
      E177 := E177 - 1;
      declare
         procedure F7;
         pragma Import (Ada, F7, "gnatcoll__io__finalize_spec");
      begin
         if E177 = 0 then
            F7;
         end if;
      end;
      E184 := E184 - 1;
      declare
         procedure F8;
         pragma Import (Ada, F8, "gnatcoll__strings__finalize_spec");
      begin
         if E184 = 0 then
            F8;
         end if;
      end;
      E152 := E152 - 1;
      declare
         procedure F9;
         pragma Import (Ada, F9, "gnatcoll__refcount__finalize_spec");
      begin
         if E152 = 0 then
            F9;
         end if;
      end;
      E265 := E265 - 1;
      declare
         procedure F10;
         pragma Import (Ada, F10, "gnatcoll__locks__finalize_spec");
      begin
         if E265 = 0 then
            F10;
         end if;
      end;
      E305 := E305 - 1;
      declare
         procedure F11;
         pragma Import (Ada, F11, "system__tasking__protected_objects__entries__finalize_spec");
      begin
         if E305 = 0 then
            F11;
         end if;
      end;
      declare
         procedure F12;
         pragma Import (Ada, F12, "ada__directories__finalize_body");
      begin
         E206 := E206 - 1;
         if E206 = 0 then
            F12;
         end if;
      end;
      declare
         procedure F13;
         pragma Import (Ada, F13, "ada__directories__finalize_spec");
      begin
         if E206 = 0 then
            F13;
         end if;
      end;
      E214 := E214 - 1;
      declare
         procedure F14;
         pragma Import (Ada, F14, "system__regexp__finalize_spec");
      begin
         if E214 = 0 then
            F14;
         end if;
      end;
      E241 := E241 - 1;
      declare
         procedure F15;
         pragma Import (Ada, F15, "gnat__expect__finalize_spec");
      begin
         if E241 = 0 then
            F15;
         end if;
      end;
      E167 := E167 - 1;
      declare
         procedure F16;
         pragma Import (Ada, F16, "system__pool_global__finalize_spec");
      begin
         if E167 = 0 then
            F16;
         end if;
      end;
      E111 := E111 - 1;
      declare
         procedure F17;
         pragma Import (Ada, F17, "ada__strings__unbounded__finalize_spec");
      begin
         if E111 = 0 then
            F17;
         end if;
      end;
      E135 := E135 - 1;
      declare
         procedure F18;
         pragma Import (Ada, F18, "ada__text_io__finalize_spec");
      begin
         if E135 = 0 then
            F18;
         end if;
      end;
      E179 := E179 - 1;
      declare
         procedure F19;
         pragma Import (Ada, F19, "system__storage_pools__subpools__finalize_spec");
      begin
         if E179 = 0 then
            F19;
         end if;
      end;
      E163 := E163 - 1;
      declare
         procedure F20;
         pragma Import (Ada, F20, "system__finalization_masters__finalize_spec");
      begin
         if E163 = 0 then
            F20;
         end if;
      end;
      declare
         procedure F21;
         pragma Import (Ada, F21, "system__file_io__finalize_body");
      begin
         E139 := E139 - 1;
         if E139 = 0 then
            F21;
         end if;
      end;
      declare
         procedure Reraise_Library_Exception_If_Any;
            pragma Import (Ada, Reraise_Library_Exception_If_Any, "__gnat_reraise_library_exception_if_any");
      begin
         Reraise_Library_Exception_If_Any;
      end;
   end finalize_library;

   procedure adafinal is
      procedure s_stalib_adafinal;
      pragma Import (Ada, s_stalib_adafinal, "system__standard_library__adafinal");

      procedure Runtime_Finalize;
      pragma Import (C, Runtime_Finalize, "__gnat_runtime_finalize");

   begin
      if not Is_Elaborated then
         return;
      end if;
      Is_Elaborated := False;
      Runtime_Finalize;
      s_stalib_adafinal;
   end adafinal;

   type No_Param_Proc is access procedure;
   pragma Favor_Top_Level (No_Param_Proc);

   procedure adainit is
      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Exception_Tracebacks : Integer;
      pragma Import (C, Exception_Tracebacks, "__gl_exception_tracebacks");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Default_Secondary_Stack_Size : System.Parameters.Size_Type;
      pragma Import (C, Default_Secondary_Stack_Size, "__gnat_default_ss_size");
      Bind_Env_Addr : System.Address;
      pragma Import (C, Bind_Env_Addr, "__gl_bind_env_addr");

      procedure Runtime_Initialize (Install_Handler : Integer);
      pragma Import (C, Runtime_Initialize, "__gnat_runtime_initialize");

      Finalize_Library_Objects : No_Param_Proc;
      pragma Import (C, Finalize_Library_Objects, "__gnat_finalize_library_objects");
      Binder_Sec_Stacks_Count : Natural;
      pragma Import (Ada, Binder_Sec_Stacks_Count, "__gnat_binder_ss_count");
      Default_Sized_SS_Pool : System.Address;
      pragma Import (Ada, Default_Sized_SS_Pool, "__gnat_default_ss_pool");

   begin
      if Is_Elaborated then
         return;
      end if;
      Is_Elaborated := True;
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      System.Restrictions.Run_Time_Restrictions :=
        (Set =>
          (False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, True, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False),
         Value => (0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
         Violated =>
          (True, False, False, False, True, True, False, False, 
           True, False, False, True, True, True, True, False, 
           False, False, False, True, False, False, True, True, 
           False, True, True, False, True, True, True, True, 
           False, True, False, False, False, True, True, False, 
           True, True, False, True, True, True, True, False, 
           True, False, True, False, False, True, True, False, 
           True, False, False, False, False, False, False, False, 
           False, False, False, True, True, True, True, False, 
           True, False, True, True, True, False, True, True, 
           False, True, True, True, True, False, False, False, 
           True, False, False, False, False, True, False, False, 
           False, False, True, False),
         Count => (0, 0, 0, 1, 0, 0, 0, 0, 1, 0),
         Unknown => (False, False, False, False, False, False, False, False, True, False));
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Exception_Tracebacks := 1;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;

      ada_main'Elab_Body;
      Default_Secondary_Stack_Size := System.Parameters.Runtime_Default_Sec_Stack_Size;
      Binder_Sec_Stacks_Count := 1;
      Default_Sized_SS_Pool := Sec_Default_Sized_Stacks'Address;

      Runtime_Initialize (1);

      Finalize_Library_Objects := finalize_library'access;

      if E008 = 0 then
         Ada.Exceptions'Elab_Spec;
      end if;
      if E013 = 0 then
         System.Soft_Links'Elab_Spec;
      end if;
      if E024 = 0 then
         System.Exception_Table'Elab_Body;
      end if;
      E024 := E024 + 1;
      if E031 = 0 then
         Ada.Numerics'Elab_Spec;
      end if;
      E031 := E031 + 1;
      if E025 = 0 then
         System.Exceptions'Elab_Spec;
      end if;
      E025 := E025 + 1;
      if E020 = 0 then
         System.Soft_Links.Initialize'Elab_Body;
      end if;
      E020 := E020 + 1;
      E013 := E013 + 1;
      E008 := E008 + 1;
      if E069 = 0 then
         Ada.Containers'Elab_Spec;
      end if;
      E069 := E069 + 1;
      if E076 = 0 then
         Ada.Io_Exceptions'Elab_Spec;
      end if;
      E076 := E076 + 1;
      if E079 = 0 then
         Ada.Strings'Elab_Spec;
      end if;
      E079 := E079 + 1;
      if E081 = 0 then
         Ada.Strings.Utf_Encoding'Elab_Spec;
      end if;
      E081 := E081 + 1;
      if E149 = 0 then
         Gnat'Elab_Spec;
      end if;
      E149 := E149 + 1;
      if E054 = 0 then
         Interfaces.C'Elab_Spec;
      end if;
      E054 := E054 + 1;
      if E226 = 0 then
         Interfaces.C.Strings'Elab_Spec;
      end if;
      E226 := E226 + 1;
      if E315 = 0 then
         System.Aux_Dec'Elab_Spec;
      end if;
      E315 := E315 + 1;
      if E056 = 0 then
         System.Os_Lib'Elab_Body;
      end if;
      E056 := E056 + 1;
      if E279 = 0 then
         System.Task_Info'Elab_Spec;
      end if;
      E279 := E279 + 1;
      if E089 = 0 then
         Ada.Tags'Elab_Spec;
      end if;
      if E089 = 0 then
         Ada.Tags'Elab_Body;
      end if;
      E089 := E089 + 1;
      if E078 = 0 then
         Ada.Strings.Text_Buffers'Elab_Spec;
      end if;
      E078 := E078 + 1;
      if E075 = 0 then
         Ada.Streams'Elab_Spec;
      end if;
      E075 := E075 + 1;
      if E140 = 0 then
         System.File_Control_Block'Elab_Spec;
      end if;
      E140 := E140 + 1;
      if E105 = 0 then
         System.Finalization_Root'Elab_Spec;
      end if;
      E105 := E105 + 1;
      if E073 = 0 then
         Ada.Finalization'Elab_Spec;
      end if;
      E073 := E073 + 1;
      if E139 = 0 then
         System.File_Io'Elab_Body;
      end if;
      E139 := E139 + 1;
      if E161 = 0 then
         System.Storage_Pools'Elab_Spec;
      end if;
      E161 := E161 + 1;
      if E163 = 0 then
         System.Finalization_Masters'Elab_Spec;
      end if;
      if E163 = 0 then
         System.Finalization_Masters'Elab_Body;
      end if;
      E163 := E163 + 1;
      if E179 = 0 then
         System.Storage_Pools.Subpools'Elab_Spec;
      end if;
      E179 := E179 + 1;
      if E006 = 0 then
         Ada.Calendar'Elab_Spec;
      end if;
      if E006 = 0 then
         Ada.Calendar'Elab_Body;
      end if;
      E006 := E006 + 1;
      if E263 = 0 then
         Ada.Calendar.Delays'Elab_Body;
      end if;
      E263 := E263 + 1;
      if E199 = 0 then
         Ada.Calendar.Time_Zones'Elab_Spec;
      end if;
      E199 := E199 + 1;
      if E135 = 0 then
         Ada.Text_Io'Elab_Spec;
      end if;
      if E135 = 0 then
         Ada.Text_Io'Elab_Body;
      end if;
      E135 := E135 + 1;
      if E228 = 0 then
         Gnat.Calendar'Elab_Spec;
      end if;
      E228 := E228 + 1;
      if E115 = 0 then
         Ada.Strings.Maps'Elab_Spec;
      end if;
      E115 := E115 + 1;
      if E146 = 0 then
         Ada.Strings.Maps.Constants'Elab_Spec;
      end if;
      E146 := E146 + 1;
      if E111 = 0 then
         Ada.Strings.Unbounded'Elab_Spec;
      end if;
      E111 := E111 + 1;
      if E246 = 0 then
         System.Regpat'Elab_Spec;
      end if;
      E246 := E246 + 1;
      if E193 = 0 then
         Gnat.Directory_Operations'Elab_Spec;
      end if;
      if E193 = 0 then
         Gnat.Directory_Operations'Elab_Body;
      end if;
      E193 := E193 + 1;
      if E273 = 0 then
         System.Task_Primitives.Operations'Elab_Body;
      end if;
      E273 := E273 + 1;
      if E231 = 0 then
         Gnat.Calendar.Time_Io'Elab_Spec;
      end if;
      E231 := E231 + 1;
      if E167 = 0 then
         System.Pool_Global'Elab_Spec;
      end if;
      E167 := E167 + 1;
      if E241 = 0 then
         Gnat.Expect'Elab_Spec;
      end if;
      E241 := E241 + 1;
      if E261 = 0 then
         System.Random_Seed'Elab_Body;
      end if;
      E261 := E261 + 1;
      if E214 = 0 then
         System.Regexp'Elab_Spec;
      end if;
      E214 := E214 + 1;
      if E206 = 0 then
         Ada.Directories'Elab_Spec;
      end if;
      if E206 = 0 then
         Ada.Directories'Elab_Body;
      end if;
      E206 := E206 + 1;
      if E301 = 0 then
         System.Tasking.Initialization'Elab_Body;
      end if;
      E301 := E301 + 1;
      if E289 = 0 then
         System.Tasking.Protected_Objects'Elab_Body;
      end if;
      E289 := E289 + 1;
      if E305 = 0 then
         System.Tasking.Protected_Objects.Entries'Elab_Spec;
      end if;
      E305 := E305 + 1;
      if E307 = 0 then
         System.Tasking.Queuing'Elab_Body;
      end if;
      E307 := E307 + 1;
      E313 := E313 + 1;
      E154 := E154 + 1;
      if E265 = 0 then
         GNATCOLL.LOCKS'ELAB_SPEC;
      end if;
      E265 := E265 + 1;
      if E237 = 0 then
         GNATCOLL.OS'ELAB_SPEC;
      end if;
      E237 := E237 + 1;
      E156 := E156 + 1;
      if E152 = 0 then
         GNATCOLL.REFCOUNT'ELAB_SPEC;
      end if;
      E152 := E152 + 1;
      E236 := E236 + 1;
      E186 := E186 + 1;
      if E184 = 0 then
         GNATCOLL.STRINGS'ELAB_SPEC;
      end if;
      if E184 = 0 then
         GNATCOLL.STRINGS'ELAB_BODY;
      end if;
      E184 := E184 + 1;
      if E216 = 0 then
         GNATCOLL.MMAP'ELAB_SPEC;
      end if;
      E218 := E218 + 1;
      E216 := E216 + 1;
      E222 := E222 + 1;
      if E177 = 0 then
         GNATCOLL.IO'ELAB_SPEC;
      end if;
      if E177 = 0 then
         GNATCOLL.IO'ELAB_BODY;
      end if;
      E177 := E177 + 1;
      if E220 = 0 then
         GNATCOLL.PATH'ELAB_SPEC;
      end if;
      if E220 = 0 then
         GNATCOLL.PATH'ELAB_BODY;
      end if;
      E220 := E220 + 1;
      if E195 = 0 then
         GNATCOLL.IO.NATIVE'ELAB_SPEC;
      end if;
      if E195 = 0 then
         GNATCOLL.IO.NATIVE'ELAB_BODY;
      end if;
      E195 := E195 + 1;
      if E252 = 0 then
         GNATCOLL.REMOTE'ELAB_SPEC;
      end if;
      E252 := E252 + 1;
      if E256 = 0 then
         GNATCOLL.REMOTE.DB'ELAB_SPEC;
      end if;
      E256 := E256 + 1;
      if E191 = 0 then
         GNATCOLL.IO.REMOTE'ELAB_SPEC;
      end if;
      E250 := E250 + 1;
      E254 := E254 + 1;
      if E191 = 0 then
         GNATCOLL.IO.REMOTE'ELAB_BODY;
      end if;
      E191 := E191 + 1;
      if E169 = 0 then
         GNATCOLL.VFS'ELAB_SPEC;
      end if;
      if E169 = 0 then
         GNATCOLL.VFS'ELAB_BODY;
      end if;
      E169 := E169 + 1;
      if E143 = 0 then
         GNATCOLL.OPT_PARSE'ELAB_SPEC;
      end if;
      if E143 = 0 then
         GNATCOLL.OPT_PARSE'ELAB_BODY;
      end if;
      E143 := E143 + 1;
   end adainit;

   procedure Ada_Main_Program;
   pragma Import (Ada, Ada_Main_Program, "_ada_parse");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer
   is
      procedure Initialize (Addr : System.Address);
      pragma Import (C, Initialize, "__gnat_initialize");

      procedure Finalize;
      pragma Import (C, Finalize, "__gnat_finalize");
      SEH : aliased array (1 .. 2) of Integer;

      Ensure_Reference : aliased System.Address := Ada_Main_Program_Name'Address;
      pragma Volatile (Ensure_Reference);

   begin
      if gnat_argc = 0 then
         gnat_argc := argc;
         gnat_argv := argv;
      end if;
      gnat_envp := envp;

      Initialize (SEH'Address);
      adainit;
      Ada_Main_Program;
      adafinal;
      Finalize;
      return (gnat_exit_status);
   end;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/libadalang-24.0.0-build/libadalang-24.0.0/build/obj-mains/prod/parse.o
   --   -L/builddir/build/BUILD/libadalang-24.0.0-build/libadalang-24.0.0/build/obj-mains/prod/
   --   -L/builddir/build/BUILD/libadalang-24.0.0-build/libadalang-24.0.0/build/obj-mains/prod/
   --   -L/usr/lib64/langkit-support/
   --   -L/usr/lib64/libadasat/
   --   -L/usr/lib64/gnatcoll-iconv/
   --   -L/usr/lib64/libgpr/
   --   -L/usr/lib64/xmlada/
   --   -L/usr/lib64/gnatcoll/
   --   -L/usr/lib64/gnatcoll-gmp/
   --   -L/builddir/build/BUILD/libadalang-24.0.0-build/libadalang-24.0.0/build/lib/relocatable/prod/
   --   -L/usr/lib64/libgpr2/
   --   -L/usr/lib/gcc/s390x-redhat-linux/14/adalib/
   --   -shared
   --   -lgnarl-14
   --   -lgnat-14
   --   -lrt
   --   -lpthread
--  END Object file/option list   

end ada_main;
