pragma Warnings (Off);
pragma Ada_95;
with System;
with System.Parameters;
with System.Secondary_Stack;
package adalangmain is

   procedure adalanginit;
   pragma Export (C, adalanginit, "adalanginit");
   pragma Linker_Constructor (adalanginit);

   procedure adalangfinal;
   pragma Export (C, adalangfinal, "adalangfinal");
   pragma Linker_Destructor (adalangfinal);

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#82ba55d3#;
   pragma Export (C, u00001, "libadalang__analysisB");
   u00002 : constant Version_32 := 16#e81930a2#;
   pragma Export (C, u00002, "libadalang__analysisS");
   u00003 : constant Version_32 := 16#1774d52d#;
   pragma Export (C, u00003, "libadalang__auto_providerB");
   u00004 : constant Version_32 := 16#80abd0ec#;
   pragma Export (C, u00004, "libadalang__auto_providerS");
   u00005 : constant Version_32 := 16#c99cb203#;
   pragma Export (C, u00005, "libadalang__cB");
   u00006 : constant Version_32 := 16#6f902044#;
   pragma Export (C, u00006, "libadalang__cS");
   u00007 : constant Version_32 := 16#4c46a960#;
   pragma Export (C, u00007, "libadalang__commonB");
   u00008 : constant Version_32 := 16#11263097#;
   pragma Export (C, u00008, "libadalang__commonS");
   u00009 : constant Version_32 := 16#33b0d1d2#;
   pragma Export (C, u00009, "libadalang__config_pragmasB");
   u00010 : constant Version_32 := 16#3237d46d#;
   pragma Export (C, u00010, "libadalang__config_pragmasS");
   u00011 : constant Version_32 := 16#4f730572#;
   pragma Export (C, u00011, "libadalang__config_pragmas_implB");
   u00012 : constant Version_32 := 16#420ce6d9#;
   pragma Export (C, u00012, "libadalang__config_pragmas_implS");
   u00013 : constant Version_32 := 16#58579d92#;
   pragma Export (C, u00013, "libadalang__data_decompositionB");
   u00014 : constant Version_32 := 16#480a1ca4#;
   pragma Export (C, u00014, "libadalang__data_decompositionS");
   u00015 : constant Version_32 := 16#622e8f27#;
   pragma Export (C, u00015, "libadalang__debugB");
   u00016 : constant Version_32 := 16#99194ded#;
   pragma Export (C, u00016, "libadalang__debugS");
   u00017 : constant Version_32 := 16#579a0cf3#;
   pragma Export (C, u00017, "libadalang__doc_utilsB");
   u00018 : constant Version_32 := 16#f86344c2#;
   pragma Export (C, u00018, "libadalang__doc_utilsS");
   u00019 : constant Version_32 := 16#02fa6172#;
   pragma Export (C, u00019, "libadalang__env_hooksB");
   u00020 : constant Version_32 := 16#2aea0385#;
   pragma Export (C, u00020, "libadalang__env_hooksS");
   u00021 : constant Version_32 := 16#8a9bab4f#;
   pragma Export (C, u00021, "libadalang__expr_evalB");
   u00022 : constant Version_32 := 16#eb902f43#;
   pragma Export (C, u00022, "libadalang__expr_evalS");
   u00023 : constant Version_32 := 16#14dcbb85#;
   pragma Export (C, u00023, "libadalang__generic_api__introspectionS");
   u00024 : constant Version_32 := 16#04f3d9af#;
   pragma Export (C, u00024, "libadalang__generic_apiB");
   u00025 : constant Version_32 := 16#9ffa8623#;
   pragma Export (C, u00025, "libadalang__generic_apiS");
   u00026 : constant Version_32 := 16#e24c5273#;
   pragma Export (C, u00026, "libadalang__generic_implB");
   u00027 : constant Version_32 := 16#2a34d652#;
   pragma Export (C, u00027, "libadalang__generic_implS");
   u00028 : constant Version_32 := 16#9f1ed9e2#;
   pragma Export (C, u00028, "libadalang__generic_introspectionB");
   u00029 : constant Version_32 := 16#c8719802#;
   pragma Export (C, u00029, "libadalang__generic_introspectionS");
   u00030 : constant Version_32 := 16#6d805e19#;
   pragma Export (C, u00030, "libadalang__gpr_implB");
   u00031 : constant Version_32 := 16#4aef0aa1#;
   pragma Export (C, u00031, "libadalang__gpr_implS");
   u00032 : constant Version_32 := 16#a54378fd#;
   pragma Export (C, u00032, "libadalang__gpr_utilsB");
   u00033 : constant Version_32 := 16#ab0afb9e#;
   pragma Export (C, u00033, "libadalang__gpr_utilsS");
   u00034 : constant Version_32 := 16#6afd855f#;
   pragma Export (C, u00034, "libadalang__helpersB");
   u00035 : constant Version_32 := 16#3f40f05d#;
   pragma Export (C, u00035, "libadalang__helpersS");
   u00036 : constant Version_32 := 16#81c48017#;
   pragma Export (C, u00036, "libadalang__implementation__c__extensionsB");
   u00037 : constant Version_32 := 16#6531dcdd#;
   pragma Export (C, u00037, "libadalang__implementation__c__extensionsS");
   u00038 : constant Version_32 := 16#9a20786a#;
   pragma Export (C, u00038, "libadalang__implementation__cB");
   u00039 : constant Version_32 := 16#29ba8cbc#;
   pragma Export (C, u00039, "libadalang__implementation__cS");
   u00040 : constant Version_32 := 16#dfddf792#;
   pragma Export (C, u00040, "libadalang__implementation__extensionsB");
   u00041 : constant Version_32 := 16#3729f398#;
   pragma Export (C, u00041, "libadalang__implementation__extensionsS");
   u00042 : constant Version_32 := 16#e0730ea6#;
   pragma Export (C, u00042, "libadalang__implementationB");
   u00043 : constant Version_32 := 16#c46b604d#;
   pragma Export (C, u00043, "libadalang__implementationS");
   u00044 : constant Version_32 := 16#bdadfb03#;
   pragma Export (C, u00044, "libadalang__internal_default_providerB");
   u00045 : constant Version_32 := 16#c8b0024d#;
   pragma Export (C, u00045, "libadalang__internal_default_providerS");
   u00046 : constant Version_32 := 16#b899be91#;
   pragma Export (C, u00046, "libadalang__iterators__extensionsB");
   u00047 : constant Version_32 := 16#7da094fe#;
   pragma Export (C, u00047, "libadalang__iterators__extensionsS");
   u00048 : constant Version_32 := 16#5e160c64#;
   pragma Export (C, u00048, "libadalang__iteratorsB");
   u00049 : constant Version_32 := 16#4fd2f40f#;
   pragma Export (C, u00049, "libadalang__iteratorsS");
   u00050 : constant Version_32 := 16#a4855a15#;
   pragma Export (C, u00050, "libadalang__lexerB");
   u00051 : constant Version_32 := 16#bf81100c#;
   pragma Export (C, u00051, "libadalang__lexerS");
   u00052 : constant Version_32 := 16#53fa81fb#;
   pragma Export (C, u00052, "libadalang__lexer_implementationB");
   u00053 : constant Version_32 := 16#35575d84#;
   pragma Export (C, u00053, "libadalang__lexer_implementationS");
   u00054 : constant Version_32 := 16#45cf4592#;
   pragma Export (C, u00054, "libadalang__lexer_state_machineB");
   u00055 : constant Version_32 := 16#e11711a6#;
   pragma Export (C, u00055, "libadalang__lexer_state_machineS");
   u00056 : constant Version_32 := 16#d1a91857#;
   pragma Export (C, u00056, "libadalang__parsersB");
   u00057 : constant Version_32 := 16#cf771cad#;
   pragma Export (C, u00057, "libadalang__parsersS");
   u00058 : constant Version_32 := 16#f7b1d006#;
   pragma Export (C, u00058, "libadalang__pp_implB");
   u00059 : constant Version_32 := 16#3f868ddb#;
   pragma Export (C, u00059, "libadalang__pp_implS");
   u00060 : constant Version_32 := 16#fcbe86b4#;
   pragma Export (C, u00060, "libadalang__pp_lexerB");
   u00061 : constant Version_32 := 16#8eb652ac#;
   pragma Export (C, u00061, "libadalang__pp_lexerS");
   u00062 : constant Version_32 := 16#3816f52f#;
   pragma Export (C, u00062, "libadalang__preprocessingB");
   u00063 : constant Version_32 := 16#a0aff3c3#;
   pragma Export (C, u00063, "libadalang__preprocessingS");
   u00064 : constant Version_32 := 16#c8da90f2#;
   pragma Export (C, u00064, "libadalang__private_convertersB");
   u00065 : constant Version_32 := 16#18187b4d#;
   pragma Export (C, u00065, "libadalang__private_convertersS");
   u00066 : constant Version_32 := 16#ed39bee4#;
   pragma Export (C, u00066, "libadalang__project_providerB");
   u00067 : constant Version_32 := 16#e4c5ed6c#;
   pragma Export (C, u00067, "libadalang__project_providerS");
   u00068 : constant Version_32 := 16#5606634c#;
   pragma Export (C, u00068, "libadalang__public_convertersB");
   u00069 : constant Version_32 := 16#492b6b04#;
   pragma Export (C, u00069, "libadalang__public_convertersS");
   u00070 : constant Version_32 := 16#d9b08655#;
   pragma Export (C, u00070, "libadalang__rewritingB");
   u00071 : constant Version_32 := 16#853b9677#;
   pragma Export (C, u00071, "libadalang__rewritingS");
   u00072 : constant Version_32 := 16#967d4c34#;
   pragma Export (C, u00072, "libadalang__rewriting_implementationB");
   u00073 : constant Version_32 := 16#3f6fd1cf#;
   pragma Export (C, u00073, "libadalang__rewriting_implementationS");
   u00074 : constant Version_32 := 16#2247b7e3#;
   pragma Export (C, u00074, "libadalang__sourcesB");
   u00075 : constant Version_32 := 16#936ccc86#;
   pragma Export (C, u00075, "libadalang__sourcesS");
   u00076 : constant Version_32 := 16#f8fecc50#;
   pragma Export (C, u00076, "libadalang__unit_filesB");
   u00077 : constant Version_32 := 16#75b5894a#;
   pragma Export (C, u00077, "libadalang__unit_filesS");
   u00078 : constant Version_32 := 16#9842b85a#;
   pragma Export (C, u00078, "libadalang__unparsingB");
   u00079 : constant Version_32 := 16#955f2fa6#;
   pragma Export (C, u00079, "libadalang__unparsingS");
   u00080 : constant Version_32 := 16#d8b1e905#;
   pragma Export (C, u00080, "libadalang__unparsing_implementationB");
   u00081 : constant Version_32 := 16#e1e9d6b3#;
   pragma Export (C, u00081, "libadalang__unparsing_implementationS");
   u00082 : constant Version_32 := 16#d4fc6f5d#;
   pragma Export (C, u00082, "libadalangS");

   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.latin_1%s
   --  ada.characters.wide_wide_latin_1%s
   --  ada.wide_characters%s
   --  ada.wide_wide_characters%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.atomic_counters%s
   --  system.atomic_counters%b
   --  system.atomic_operations%s
   --  system.byte_swapping%s
   --  system.float_control%s
   --  system.float_control%b
   --  system.img_char%s
   --  system.img_char%b
   --  system.io%s
   --  system.io%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.os_primitives%s
   --  system.os_primitives%b
   --  system.powten_flt%s
   --  system.powten_lflt%s
   --  system.powten_llf%s
   --  system.restrictions%s
   --  system.restrictions%b
   --  system.spark%s
   --  system.spark.cut_operations%s
   --  system.spark.cut_operations%b
   --  system.storage_elements%s
   --  system.return_stack%s
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%s
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  system.unsigned_types%s
   --  system.img_biu%s
   --  system.img_llb%s
   --  system.img_lllb%s
   --  system.img_lllw%s
   --  system.img_llw%s
   --  system.img_wiu%s
   --  system.utf_32%s
   --  system.utf_32%b
   --  ada.wide_characters.unicode%s
   --  ada.wide_characters.unicode%b
   --  ada.wide_wide_characters.unicode%s
   --  ada.wide_wide_characters.unicode%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%s
   --  system.wch_cnv%b
   --  system.compare_array_unsigned_32%s
   --  system.compare_array_unsigned_32%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.concat_3%s
   --  system.concat_3%b
   --  system.concat_6%s
   --  system.concat_6%b
   --  system.crc32%s
   --  system.crc32%b
   --  system.exn_flt%s
   --  system.exn_lflt%s
   --  system.exn_llf%s
   --  system.traceback%s
   --  system.traceback%b
   --  system.secondary_stack%s
   --  system.standard_library%s
   --  ada.exceptions%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.soft_links%s
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  ada.exceptions.traceback%s
   --  ada.exceptions.traceback%b
   --  system.address_image%s
   --  system.address_image%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.numerics%s
   --  ada.numerics.big_numbers%s
   --  system.exceptions%s
   --  system.exceptions.machine%s
   --  system.exceptions.machine%b
   --  system.img_int%s
   --  system.memory%s
   --  system.memory%b
   --  system.secondary_stack%b
   --  system.soft_links.initialize%s
   --  system.soft_links.initialize%b
   --  system.soft_links%b
   --  system.standard_library%b
   --  system.traceback.symbolic%s
   --  system.traceback.symbolic%b
   --  ada.exceptions%b
   --  ada.assertions%s
   --  ada.assertions%b
   --  ada.characters.conversions%s
   --  ada.characters.conversions%b
   --  ada.command_line%s
   --  ada.command_line%b
   --  ada.containers%s
   --  ada.containers.prime_numbers%s
   --  ada.containers.prime_numbers%b
   --  ada.containers.stable_sorting%s
   --  ada.containers.stable_sorting%b
   --  ada.exceptions.is_null_occurrence%s
   --  ada.exceptions.is_null_occurrence%b
   --  ada.io_exceptions%s
   --  ada.strings%s
   --  ada.strings.hash%s
   --  ada.strings.hash%b
   --  ada.strings.utf_encoding%s
   --  ada.strings.utf_encoding%b
   --  ada.strings.utf_encoding.strings%s
   --  ada.strings.utf_encoding.strings%b
   --  ada.strings.utf_encoding.wide_strings%s
   --  ada.strings.utf_encoding.wide_strings%b
   --  ada.strings.utf_encoding.wide_wide_strings%s
   --  ada.strings.utf_encoding.wide_wide_strings%b
   --  ada.strings.wide_wide_hash%s
   --  ada.strings.wide_wide_hash%b
   --  ada.wide_wide_characters.handling%s
   --  ada.wide_wide_characters.handling%b
   --  gnat%s
   --  gnat.byte_swapping%s
   --  gnat.byte_swapping%b
   --  gnat.debug_utilities%s
   --  gnat.debug_utilities%b
   --  gnat.heap_sort%s
   --  gnat.heap_sort%b
   --  gnat.htable%s
   --  gnat.htable%b
   --  gnat.io%s
   --  gnat.io%b
   --  gnat.source_info%s
   --  gnat.string_hash%s
   --  gnat.strings%s
   --  interfaces.c%s
   --  interfaces.c%b
   --  interfaces.c.extensions%s
   --  interfaces.c.strings%s
   --  interfaces.c.strings%b
   --  ada.environment_variables%s
   --  ada.environment_variables%b
   --  system.arith_128%s
   --  system.arith_128%b
   --  system.arith_32%s
   --  system.arith_32%b
   --  system.arith_64%s
   --  system.arith_64%b
   --  system.atomic_primitives%s
   --  system.atomic_primitives%b
   --  system.atomic_operations.test_and_set%s
   --  system.atomic_operations.test_and_set%b
   --  system.aux_dec%s
   --  system.aux_dec%b
   --  system.case_util%s
   --  system.case_util%b
   --  gnat.case_util%s
   --  system.fat_flt%s
   --  system.fat_lflt%s
   --  system.fat_llf%s
   --  system.linux%s
   --  system.multiprocessors%s
   --  system.multiprocessors%b
   --  system.os_constants%s
   --  system.os_interface%s
   --  system.os_interface%b
   --  system.os_lib%s
   --  system.os_lib%b
   --  gnat.os_lib%s
   --  system.stack_usage%s
   --  system.stack_usage%b
   --  system.task_info%s
   --  system.task_info%b
   --  system.task_lock%s
   --  system.task_lock%b
   --  gnat.task_lock%s
   --  system.task_primitives%s
   --  system.interrupt_management%s
   --  system.interrupt_management%b
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_bool%s
   --  system.val_bool%b
   --  system.val_enum_8%s
   --  system.val_fixed_128%s
   --  system.val_fixed_32%s
   --  system.val_fixed_64%s
   --  system.val_flt%s
   --  system.val_lflt%s
   --  system.val_llf%s
   --  system.val_lllu%s
   --  system.val_llli%s
   --  system.val_llu%s
   --  ada.tags%s
   --  ada.tags%b
   --  ada.strings.text_buffers%s
   --  ada.strings.text_buffers%b
   --  ada.strings.text_buffers.utils%s
   --  ada.strings.text_buffers.utils%b
   --  system.put_images%s
   --  system.put_images%b
   --  ada.streams%s
   --  ada.streams%b
   --  system.communication%s
   --  system.communication%b
   --  system.file_control_block%s
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  ada.finalization%s
   --  ada.containers.helpers%s
   --  ada.containers.helpers%b
   --  ada.containers.hash_tables%s
   --  ada.containers.red_black_trees%s
   --  system.file_io%s
   --  system.file_io%b
   --  ada.streams.stream_io%s
   --  ada.streams.stream_io%b
   --  system.storage_pools%s
   --  system.storage_pools%b
   --  system.finalization_masters%s
   --  system.finalization_masters%b
   --  system.storage_pools.subpools%s
   --  system.storage_pools.subpools.finalization%s
   --  system.storage_pools.subpools.finalization%b
   --  system.storage_pools.subpools%b
   --  system.stream_attributes%s
   --  system.stream_attributes.xdr%s
   --  system.stream_attributes.xdr%b
   --  system.stream_attributes%b
   --  ada.strings.wide_wide_maps%s
   --  ada.strings.wide_wide_maps%b
   --  ada.strings.wide_wide_search%s
   --  ada.strings.wide_wide_search%b
   --  ada.strings.wide_wide_fixed%s
   --  ada.strings.wide_wide_fixed%b
   --  ada.strings.wide_wide_unbounded%s
   --  ada.strings.wide_wide_unbounded%b
   --  ada.strings.wide_wide_unbounded.aux%s
   --  ada.strings.wide_wide_unbounded.aux%b
   --  ada.strings.wide_wide_unbounded.wide_wide_hash%s
   --  ada.strings.wide_wide_unbounded.wide_wide_hash%b
   --  system.val_lli%s
   --  system.val_uns%s
   --  system.val_int%s
   --  system.wch_wts%s
   --  system.wch_wts%b
   --  ada.calendar%s
   --  ada.calendar%b
   --  ada.calendar.conversions%s
   --  ada.calendar.conversions%b
   --  ada.calendar.delays%s
   --  ada.calendar.delays%b
   --  ada.calendar.time_zones%s
   --  ada.calendar.time_zones%b
   --  ada.calendar.formatting%s
   --  ada.calendar.formatting%b
   --  ada.text_io%s
   --  ada.text_io%b
   --  ada.text_io.generic_aux%s
   --  ada.text_io.generic_aux%b
   --  ada.text_io.text_streams%s
   --  ada.text_io.text_streams%b
   --  gnat.byte_order_mark%s
   --  gnat.byte_order_mark%b
   --  gnat.calendar%s
   --  gnat.calendar%b
   --  gnat.decode_utf8_string%s
   --  gnat.decode_utf8_string%b
   --  gnat.dynamic_htables%s
   --  gnat.dynamic_htables%b
   --  gnat.encode_utf8_string%s
   --  gnat.encode_utf8_string%b
   --  gnat.secure_hashes%s
   --  gnat.secure_hashes%b
   --  gnat.secure_hashes.md5%s
   --  gnat.secure_hashes.md5%b
   --  gnat.md5%s
   --  gnat.md5%b
   --  gnat.traceback%s
   --  gnat.traceback%b
   --  gnat.traceback.symbolic%s
   --  gnat.tty%s
   --  gnat.tty%b
   --  system.assertions%s
   --  system.assertions%b
   --  system.bit_ops%s
   --  system.bit_ops%b
   --  ada.strings.maps%s
   --  ada.strings.maps%b
   --  ada.strings.maps.constants%s
   --  ada.characters.handling%s
   --  ada.characters.handling%b
   --  ada.strings.equal_case_insensitive%s
   --  ada.strings.equal_case_insensitive%b
   --  ada.strings.hash_case_insensitive%s
   --  ada.strings.hash_case_insensitive%b
   --  ada.strings.less_case_insensitive%s
   --  ada.strings.less_case_insensitive%b
   --  ada.strings.search%s
   --  ada.strings.search%b
   --  ada.strings.fixed%s
   --  ada.strings.fixed%b
   --  ada.strings.unbounded%s
   --  ada.strings.unbounded%b
   --  ada.strings.unbounded.aux%s
   --  ada.strings.unbounded.aux%b
   --  ada.strings.unbounded.hash%s
   --  ada.strings.unbounded.hash%b
   --  system.regpat%s
   --  system.regpat%b
   --  gnat.regpat%s
   --  gnat.directory_operations%s
   --  gnat.directory_operations%b
   --  gnat.string_split%s
   --  gnat.string_split%b
   --  system.checked_pools%s
   --  system.exn_int%s
   --  system.exn_lli%s
   --  system.exn_llli%s
   --  system.file_attributes%s
   --  system.img_lli%s
   --  system.tasking%s
   --  system.task_primitives.operations%s
   --  system.tasking.debug%s
   --  system.tasking.debug%b
   --  system.task_primitives.operations%b
   --  system.tasking%b
   --  system.img_llli%s
   --  ada.integer_text_io%s
   --  ada.integer_text_io%b
   --  ada.long_integer_text_io%s
   --  ada.long_integer_text_io%b
   --  system.img_llu%s
   --  gnat.calendar.time_io%s
   --  gnat.calendar.time_io%b
   --  system.img_uns%s
   --  system.img_util%s
   --  system.img_util%b
   --  system.img_fixed_128%s
   --  system.img_fixed_32%s
   --  gnat.debug_pools%s
   --  gnat.debug_pools%b
   --  system.img_fixed_64%s
   --  system.img_flt%s
   --  system.img_lflt%s
   --  system.img_llf%s
   --  ada.float_text_io%s
   --  ada.float_text_io%b
   --  ada.long_float_text_io%s
   --  ada.long_float_text_io%b
   --  system.img_real%s
   --  system.pool_global%s
   --  system.pool_global%b
   --  gnat.expect%s
   --  gnat.expect%b
   --  gnat.expect.tty%s
   --  gnat.expect.tty%b
   --  gnat.formatted_string%s
   --  gnat.formatted_string%b
   --  gnat.sockets%s
   --  gnat.sockets.linker_options%s
   --  gnat.sockets.poll%s
   --  gnat.sockets.thin_common%s
   --  gnat.sockets.thin_common%b
   --  gnat.sockets.thin%s
   --  gnat.sockets.thin%b
   --  gnat.sockets%b
   --  gnat.sockets.poll%b
   --  system.random_seed%s
   --  system.random_seed%b
   --  system.random_numbers%s
   --  system.random_numbers%b
   --  system.regexp%s
   --  system.regexp%b
   --  ada.directories%s
   --  ada.directories.hierarchical_file_names%s
   --  ada.directories.validity%s
   --  ada.directories.validity%b
   --  ada.directories%b
   --  ada.directories.hierarchical_file_names%b
   --  gnat.regexp%s
   --  system.soft_links.tasking%s
   --  system.soft_links.tasking%b
   --  system.strings.stream_ops%s
   --  system.strings.stream_ops%b
   --  system.tasking.initialization%s
   --  system.tasking.task_attributes%s
   --  system.tasking.task_attributes%b
   --  system.tasking.initialization%b
   --  system.tasking.protected_objects%s
   --  system.tasking.protected_objects%b
   --  system.tasking.protected_objects.entries%s
   --  system.tasking.protected_objects.entries%b
   --  system.tasking.queuing%s
   --  system.tasking.queuing%b
   --  system.tasking.utilities%s
   --  system.tasking.utilities%b
   --  system.tasking.entry_calls%s
   --  system.tasking.rendezvous%s
   --  system.tasking.protected_objects.operations%s
   --  system.tasking.protected_objects.operations%b
   --  system.tasking.entry_calls%b
   --  system.tasking.rendezvous%b
   --  gnat.semaphores%s
   --  gnat.semaphores%b
   --  gnatcoll%s
   --  gnatcoll.gmp%s
   --  gnatcoll.gmp.lib%s
   --  gnatcoll.gmp.integers%s
   --  gnatcoll.gmp.integers%b
   --  gnatcoll.gmp.integers.misc%s
   --  gnatcoll.gmp.integers.misc%b
   --  gnatcoll.storage_pools%s
   --  gpr_parser_support%s
   --  gpr_parser_support.errors%s
   --  unicode%s
   --  unicode.names%s
   --  unicode.names.basic_latin%s
   --  unicode%b
   --  unicode.names.currency_symbols%s
   --  unicode.names.cyrillic%s
   --  unicode.names.general_punctuation%s
   --  unicode.names.latin_1_supplement%s
   --  unicode.names.latin_extended_a%s
   --  unicode.names.latin_extended_b%s
   --  unicode.names.letterlike_symbols%s
   --  unicode.names.spacing_modifier_letters%s
   --  adasat%s
   --  adasat%b
   --  adasat.decisions%s
   --  adasat.decisions%b
   --  adasat.vectors%s
   --  adasat.vectors%b
   --  adasat.formulas%s
   --  adasat.formulas%b
   --  adasat.internals%s
   --  adasat.builders%s
   --  adasat.builders%b
   --  adasat.theory%s
   --  adasat.dpll%s
   --  adasat.dpll%b
   --  dom%s
   --  gnatcoll.atomic%s
   --  gnatcoll.atomic%b
   --  gnatcoll.gmp.rational_numbers%s
   --  gnatcoll.gmp.rational_numbers%b
   --  gnatcoll.locks%s
   --  gnatcoll.locks%b
   --  gnatcoll.memory%s
   --  gnatcoll.memory%b
   --  gnatcoll.os%s
   --  gnatcoll.os.constants%s
   --  gnatcoll.os.libc_constants%s
   --  gnatcoll.storage_pools.headers%s
   --  gnatcoll.storage_pools.headers%b
   --  gnatcoll.refcount%s
   --  gnatcoll.refcount%b
   --  gnatcoll.string_builders%s
   --  gnatcoll.string_builders%b
   --  gnatcoll.os.fs%s
   --  gnatcoll.os.libc%s
   --  gnatcoll.os.fs%b
   --  gnatcoll.os.libc.dirent%s
   --  gnatcoll.os.dir_types%s
   --  gnatcoll.os.libc.spawn%s
   --  gnatcoll.os.libc.stat%s
   --  gnatcoll.os.stat%s
   --  gnatcoll.os.stat%b
   --  gnatcoll.os.dir%s
   --  gnatcoll.os.dir%b
   --  gnatcoll.string_list_builders%s
   --  gnatcoll.string_list_builders%b
   --  gnatcoll.os.process_types%s
   --  gnatcoll.os.process_types%b
   --  gnatcoll.os.process%s
   --  gnatcoll.os.process%b
   --  gnatcoll.strings_impl%s
   --  gnatcoll.strings_impl%b
   --  gnatcoll.strings%s
   --  gnatcoll.strings%b
   --  gnatcoll.json%s
   --  gnatcoll.json.utility%s
   --  gnatcoll.json.utility%b
   --  gnatcoll.json%b
   --  gnatcoll.mmap%s
   --  gnatcoll.mmap.system%s
   --  gnatcoll.mmap.system%b
   --  gnatcoll.mmap%b
   --  gnatcoll.templates%s
   --  gnatcoll.templates%b
   --  gnatcoll.terminal%s
   --  gnatcoll.terminal%b
   --  gnatcoll.tribooleans%s
   --  gnatcoll.tribooleans%b
   --  gnatcoll.utils%s
   --  gnatcoll.utils%b
   --  gnatcoll.vfs_types%s
   --  gnatcoll.io%s
   --  gnatcoll.io%b
   --  gnatcoll.path%s
   --  gnatcoll.path%b
   --  gnatcoll.io.native%s
   --  gnatcoll.io.native%b
   --  gnatcoll.remote%s
   --  gnatcoll.remote.db%s
   --  gnatcoll.remote.db%b
   --  gnatcoll.io.remote%s
   --  gnatcoll.io.remote.unix%s
   --  gnatcoll.io.remote.unix%b
   --  gnatcoll.io.remote.windows%s
   --  gnatcoll.io.remote.windows%b
   --  gnatcoll.io.remote%b
   --  gnatcoll.vfs%s
   --  gnatcoll.vfs%b
   --  gnatcoll.file_paths%s
   --  gnatcoll.file_paths%b
   --  gnatcoll.opt_parse%s
   --  gnatcoll.opt_parse%b
   --  gnatcoll.traces%s
   --  gnatcoll.traces%b
   --  gnatcoll.iconv%s
   --  gnatcoll.iconv%b
   --  gnatcoll.vfs_utils%s
   --  gnatcoll.vfs_utils%b
   --  gpr%s
   --  gpr.attr%s
   --  gpr.cset%s
   --  gpr.cset%b
   --  gpr.debug%s
   --  gpr.debug%b
   --  gpr.err%s
   --  gpr.names%s
   --  gpr.opt%s
   --  gpr.osint%s
   --  gpr.erroutc%s
   --  gpr.output%s
   --  gpr.output%b
   --  gpr.names%b
   --  gpr.osint%b
   --  gpr.scans%s
   --  gpr.scans%b
   --  gpr.sinput%s
   --  gpr.sinput%b
   --  gpr.erroutc%b
   --  gpr.snames%s
   --  gpr.snames%b
   --  gpr.attr%b
   --  gpr.err%b
   --  gpr.tempdir%s
   --  gpr.tempdir%b
   --  gpr%b
   --  gpr.ali%s
   --  gpr.ali%b
   --  gpr.attr.pm%s
   --  gpr.attr.pm%b
   --  gpr.com%s
   --  gpr.ext%s
   --  gpr.ext%b
   --  gpr2%s
   --  gpr2%b
   --  gpr2.environment%s
   --  gpr2.environment%b
   --  gpr2.path_name%s
   --  gpr2.path_name%b
   --  gpr2.path_name.set%s
   --  gpr2.path_name.set%b
   --  gpr2.source_reference%s
   --  gpr2.source_reference%b
   --  gpr2.message%s
   --  gpr2.message%b
   --  gpr2.source_reference.scalar_value%s
   --  gpr2.source_reference.attribute%s
   --  gpr2.source_reference.pack%s
   --  gpr2.source_reference.text_value%s
   --  gpr2.source_reference.text_value%b
   --  gpr2.source_reference.identifier%s
   --  gpr2.source_reference.identifier%b
   --  gpr2.source_reference.text_value.g_set%s
   --  gpr2.source_reference.identifier.set%s
   --  gpr2.source_reference.value%s
   --  gpr2.containers%s
   --  gpr2.containers%b
   --  gpr2.context%s
   --  gpr2.context%b
   --  gpr2.builtin%s
   --  gpr2.builtin%b
   --  gpr2.log%s
   --  gpr2.log%b
   --  gpr2.project%s
   --  gpr2.project%b
   --  gpr2.project.attribute_index%s
   --  gpr2.project.attribute_index%b
   --  gpr2.project.import%s
   --  gpr2.project.import%b
   --  gpr2.project.import.set%s
   --  gpr2.project.import.set%b
   --  gpr2.project.registry%s
   --  gpr2.project.registry.pack%s
   --  gpr2.project.registry.pack%b
   --  gpr2.unit%s
   --  gpr2.unit%b
   --  gpr2.project.unit_info%s
   --  gpr2.project.unit_info%b
   --  gpr2.project.unit_info.set%s
   --  gpr2.unit.list%s
   --  gpr2.unit.list%b
   --  gpr2.source_info%s
   --  gpr2.source_info%b
   --  gpr2.source%s
   --  gpr2.source%b
   --  gpr2.source_info.parser%s
   --  gpr2.source_info.parser%b
   --  gpr2.view_ids%s
   --  gpr2.view_ids%b
   --  gpr2.view_ids.set%s
   --  gpr2.view_ids.set%b
   --  gpr2.view_ids.vector%s
   --  gpr2.view_ids.vector%b
   --  gpr2.view_ids.dags%s
   --  gpr2.view_ids.dags%b
   --  gpr_parser_adasat%s
   --  gpr_parser_adasat%b
   --  gpr_parser_adasat.decisions%s
   --  gpr_parser_adasat.decisions%b
   --  gpr_parser_adasat.vectors%s
   --  gpr_parser_adasat.vectors%b
   --  gpr_parser_adasat.formulas%s
   --  gpr_parser_adasat.formulas%b
   --  gpr_parser_adasat.internals%s
   --  gpr_parser_adasat.builders%s
   --  gpr_parser_adasat.builders%b
   --  gpr_parser_adasat.theory%s
   --  gpr_parser_adasat.dpll%s
   --  gpr_parser_adasat.dpll%b
   --  gpr_parser_support.adalog%s
   --  gpr_parser_support.adalog.debug%s
   --  gpr_parser_support.adalog.debug%b
   --  gpr_parser_support.adalog.logic_var%s
   --  gpr_parser_support.adalog.logic_var%b
   --  gpr_parser_support.adalog.solver_interface%s
   --  gpr_parser_support.adalog.solver_interface%b
   --  gpr_parser_support.array_utils%s
   --  gpr_parser_support.array_utils%b
   --  gpr_parser_support.hashes%s
   --  gpr_parser_support.hashes%b
   --  gpr_parser_support.images%s
   --  gpr_parser_support.images%b
   --  gpr_parser_support.packrat%s
   --  gpr_parser_support.packrat%b
   --  gpr_parser_support.relative_get%s
   --  gpr_parser_support.relative_get%b
   --  gpr_parser_support.text%s
   --  gpr_parser_support.text%b
   --  gpr_parser_support.names%s
   --  gpr_parser_support.names%b
   --  gpr_parser_support.slocs%s
   --  gpr_parser_support.slocs%b
   --  gpr_parser_support.diagnostics%s
   --  gpr_parser_support.diagnostics%b
   --  gpr_parser%s
   --  gpr_parser_support.file_readers%s
   --  gpr_parser_support.file_readers%b
   --  gpr2.file_readers%s
   --  gpr2.file_readers%b
   --  gpr_parser_support.types%s
   --  gpr_parser_support.vectors%s
   --  gpr_parser_support.vectors%b
   --  gpr_parser_support.adalog.solver%s
   --  gpr_parser_support.adalog.solver%b
   --  gpr_parser_support.cheap_sets%s
   --  gpr_parser_support.cheap_sets%b
   --  gpr_parser_support.generic_bump_ptr%s
   --  gpr_parser_support.generic_bump_ptr%b
   --  gpr_parser_support.bump_ptr%s
   --  gpr_parser_support.bump_ptr%b
   --  gpr_parser_support.lexical_envs%s
   --  gpr_parser_support.symbols%s
   --  gpr_parser_support.symbols%b
   --  gpr_parser_support.lexical_envs_impl%s
   --  gpr_parser_support.lexical_envs_impl%b
   --  gpr_parser_support.symbols.precomputed%s
   --  gpr_parser_support.symbols.precomputed%b
   --  gpr_parser_support.token_data_handlers%s
   --  gpr_parser_support.token_data_handlers%b
   --  gpr_parser_support.generic_api%s
   --  gpr_parser_support.internal%s
   --  gpr_parser_support.internal.analysis%s
   --  gpr_parser_support.generic_api.analysis%s
   --  gpr_parser_support.generic_api.introspection%s
   --  gpr_parser_support.internal.conversions%s
   --  gpr_parser_support.internal.introspection%s
   --  gpr_parser_support.internal.descriptor%s
   --  gpr_parser_support.generic_api%b
   --  gpr_parser_support.generic_api.analysis%b
   --  gpr_parser_support.generic_api.introspection%b
   --  gpr_parser_support.internal.analysis%b
   --  gpr_parser_support.internal.introspection%b
   --  gpr_parser.common%s
   --  gpr_parser.lexer_implementation%s
   --  gpr_parser.lexer_state_machine%s
   --  gpr_parser.lexer_state_machine%b
   --  gpr_parser.parsers%s
   --  gpr_parser.implementation%s
   --  gpr_parser.debug%s
   --  gpr_parser.debug%b
   --  gpr_parser.analysis%s
   --  gpr_parser.generic_api%s
   --  gpr_parser.generic_introspection%s
   --  gpr_parser.lexer_implementation%b
   --  gpr_parser.private_converters%s
   --  gpr_parser.private_converters%b
   --  gpr_parser.common%b
   --  gpr_parser.generic_impl%s
   --  gpr_parser.implementation%b
   --  gpr_parser.parsers%b
   --  gpr_parser.public_converters%s
   --  gpr_parser.public_converters%b
   --  gpr_parser.analysis%b
   --  gpr_parser.generic_api%b
   --  gpr_parser.generic_impl%b
   --  gpr_parser.generic_introspection%b
   --  gpr_parser.basic_ada_parser%s
   --  gpr_parser.basic_ada_parser%b
   --  libadalang%s
   --  libadalang.pp_lexer%s
   --  libadalang.pp_lexer%b
   --  libadalang.sources%s
   --  libadalang.sources%b
   --  sax%s
   --  sax.htable%s
   --  sax.htable%b
   --  sax.pointers%s
   --  sax.pointers%b
   --  sax.state_machines%s
   --  sax.state_machines%b
   --  schema%s
   --  schema%b
   --  unicode.ccs%s
   --  unicode.ccs%b
   --  unicode.ccs.iso_8859_1%s
   --  unicode.ccs.iso_8859_1%b
   --  unicode.ccs.iso_8859_15%s
   --  unicode.ccs.iso_8859_15%b
   --  unicode.ccs.iso_8859_2%s
   --  unicode.ccs.iso_8859_2%b
   --  unicode.ccs.iso_8859_3%s
   --  unicode.ccs.iso_8859_3%b
   --  unicode.ccs.iso_8859_4%s
   --  unicode.ccs.iso_8859_4%b
   --  unicode.ccs.windows_1251%s
   --  unicode.ccs.windows_1251%b
   --  unicode.ccs.windows_1252%s
   --  unicode.ccs.windows_1252%b
   --  unicode.ces%s
   --  unicode.ces%b
   --  sax.symbols%s
   --  sax.symbols%b
   --  sax.locators%s
   --  sax.locators%b
   --  sax.exceptions%s
   --  sax.exceptions%b
   --  unicode.ces.utf32%s
   --  unicode.ces.utf32%b
   --  unicode.ces.basic_8bit%s
   --  unicode.ces.basic_8bit%b
   --  unicode.ces.utf16%s
   --  unicode.ces.utf16%b
   --  unicode.ces.utf8%s
   --  unicode.ces.utf8%b
   --  sax.encodings%s
   --  sax.models%s
   --  sax.models%b
   --  sax.attributes%s
   --  sax.attributes%b
   --  sax.utils%s
   --  sax.utils%b
   --  dom.core%s
   --  dom.core%b
   --  schema.date_time%s
   --  schema.date_time%b
   --  schema.decimal%s
   --  schema.decimal%b
   --  schema.simple_types%s
   --  schema.simple_types%b
   --  unicode.encodings%s
   --  unicode.encodings%b
   --  dom.core.nodes%s
   --  dom.core.nodes%b
   --  dom.core.attrs%s
   --  dom.core.attrs%b
   --  dom.core.character_datas%s
   --  dom.core.character_datas%b
   --  dom.core.documents%s
   --  dom.core.elements%s
   --  dom.core.elements%b
   --  dom.core.documents%b
   --  input_sources%s
   --  input_sources%b
   --  input_sources.file%s
   --  input_sources.file%b
   --  input_sources.strings%s
   --  input_sources.strings%b
   --  sax.readers%s
   --  sax.readers%b
   --  schema.validators%s
   --  schema.readers%s
   --  schema.schema_readers%s
   --  schema.schema_readers%b
   --  schema.readers%b
   --  schema.validators.xsd_grammar%s
   --  schema.validators.xsd_grammar%b
   --  schema.validators%b
   --  schema.dom_readers%s
   --  schema.dom_readers%b
   --  gpr.knowledge%s
   --  gpr.sdefault%s
   --  gpr.strt%s
   --  gpr.util%s
   --  gpr.compilation%s
   --  gpr.compilation%b
   --  gpr.env%s
   --  gpr.env%b
   --  gpr.jobserver%s
   --  gpr.jobserver%b
   --  gpr.knowledge%b
   --  gpr.sdefault%b
   --  gpr.tree%s
   --  gpr.tree%b
   --  gpr.dect%s
   --  gpr.dect%b
   --  gpr.nmsc%s
   --  gpr.nmsc%b
   --  gpr.part%s
   --  gpr.part%b
   --  gpr.proc%s
   --  gpr.proc%b
   --  gpr.conf%s
   --  gpr.conf%b
   --  gpr.strt%b
   --  gpr.version%s
   --  gpr.version%b
   --  gpr_build_util%s
   --  gpr_build_util%b
   --  gpr.util%b
   --  gpr.pp%s
   --  gpr.pp%b
   --  gnatcoll.projects%s
   --  gnatcoll.projects.krunch%s
   --  gnatcoll.projects.krunch%b
   --  gnatcoll.projects.normalize%s
   --  gnatcoll.projects.normalize%b
   --  gnatcoll.projects%b
   --  gpr2.project.registry.attribute%s
   --  gpr2.project.attr_values%s
   --  gpr2.project.attr_values%b
   --  gpr2.project.attribute%s
   --  gpr2.project.attribute%b
   --  gpr2.project.attribute.set%s
   --  gpr2.project.attribute.set%b
   --  gpr2.project.attribute_cache%s
   --  gpr2.project.attribute_cache%b
   --  gpr2.project.name_values%s
   --  gpr2.project.name_values%b
   --  gpr2.project.typ%s
   --  gpr2.project.typ%b
   --  gpr2.project.typ.set%s
   --  gpr2.project.variable%s
   --  gpr2.project.variable%b
   --  gpr2.project.variable.set%s
   --  gpr2.project.pack%s
   --  gpr2.project.view%s
   --  gpr2.project.parser%s
   --  gpr2.project.configuration%s
   --  gpr2.kb%s
   --  gpr2.kb.compiler_iterator%s
   --  gpr2.kb.compiler_iterator%b
   --  gpr2.kb.parsing%s
   --  gpr2.kb.parsing%b
   --  gpr2.kb%b
   --  gpr2.project.parser.create%s
   --  gpr2.project.parser.create%b
   --  gpr2.project.parser.registry%s
   --  gpr2.project.parser.registry%b
   --  gpr2.project.parser.set%s
   --  gpr2.project.registry.attribute%b
   --  gpr2.project.view.set%s
   --  gpr2.project.source%s
   --  gpr2.project.source.artifact%s
   --  gpr2.project.source.part_set%s
   --  gpr2.project.source.part_set%b
   --  gpr2.project.source.set%s
   --  gpr2.project.source.set%b
   --  gpr2.project.definition%s
   --  gpr2.project.configuration%b
   --  gpr2.project.view.vector%s
   --  gpr2.project.tree%s
   --  gpr2.project.parser%b
   --  gpr2.project.source.artifact%b
   --  gpr2.project.source_files%s
   --  gpr2.project.source_files%b
   --  gpr2.project.tree.view_builder%s
   --  gpr2.project.tree.view_builder%b
   --  gpr2.project.tree%b
   --  gpr2.project.view%b
   --  gpr2.source_info.parser.ada_language%s
   --  gpr2.source_info.parser.ali%s
   --  gpr2.source_info.parser.d%s
   --  gpr2.source_info.parser.registry%s
   --  gpr2.source_info.parser.registry%b
   --  gpr2.project.definition%b
   --  gpr2.project.source%b
   --  gpr2.source_info.parser.ada_language%b
   --  gpr2.source_info.parser.ali%b
   --  gpr2.source_info.parser.d%b
   --  libadalang.gpr_utils%s
   --  libadalang.gpr_utils%b
   --  libadalang.common%s
   --  libadalang.config_pragmas_impl%s
   --  libadalang.lexer%s
   --  libadalang.lexer_implementation%s
   --  libadalang.lexer_state_machine%s
   --  libadalang.lexer_state_machine%b
   --  libadalang.parsers%s
   --  libadalang.implementation%s
   --  libadalang.config_pragmas_impl%b
   --  libadalang.debug%s
   --  libadalang.debug%b
   --  libadalang.analysis%s
   --  libadalang.config_pragmas%s
   --  libadalang.doc_utils%s
   --  libadalang.doc_utils%b
   --  libadalang.env_hooks%s
   --  libadalang.expr_eval%s
   --  libadalang.expr_eval%b
   --  libadalang.generic_api%s
   --  libadalang.generic_introspection%s
   --  libadalang.gpr_impl%s
   --  libadalang.implementation.extensions%s
   --  libadalang.internal_default_provider%s
   --  libadalang.lexer%b
   --  libadalang.lexer_implementation%b
   --  libadalang.preprocessing%s
   --  libadalang.pp_impl%s
   --  libadalang.pp_impl%b
   --  libadalang.preprocessing%b
   --  libadalang.private_converters%s
   --  libadalang.private_converters%b
   --  libadalang.common%b
   --  libadalang.generic_impl%s
   --  libadalang.implementation%b
   --  libadalang.parsers%b
   --  libadalang.project_provider%s
   --  libadalang.public_converters%s
   --  libadalang.public_converters%b
   --  libadalang.analysis%b
   --  libadalang.config_pragmas%b
   --  libadalang.env_hooks%b
   --  libadalang.generic_api%b
   --  libadalang.generic_impl%b
   --  libadalang.generic_introspection%b
   --  libadalang.gpr_impl%b
   --  libadalang.unit_files%s
   --  libadalang.unit_files%b
   --  libadalang.implementation.extensions%b
   --  libadalang.internal_default_provider%b
   --  libadalang.project_provider%b
   --  libadalang.auto_provider%s
   --  libadalang.auto_provider%b
   --  libadalang.c%s
   --  libadalang.c%b
   --  libadalang.data_decomposition%s
   --  libadalang.data_decomposition%b
   --  libadalang.generic_api.introspection%s
   --  libadalang.helpers%s
   --  libadalang.helpers%b
   --  libadalang.implementation.c%s
   --  libadalang.implementation.c%b
   --  libadalang.implementation.c.extensions%s
   --  libadalang.implementation.c.extensions%b
   --  libadalang.iterators%s
   --  libadalang.iterators.extensions%s
   --  libadalang.iterators.extensions%b
   --  libadalang.iterators%b
   --  libadalang.rewriting_implementation%s
   --  libadalang.unparsing_implementation%s
   --  libadalang.unparsing_implementation%b
   --  libadalang.rewriting_implementation%b
   --  libadalang.rewriting%s
   --  libadalang.rewriting%b
   --  libadalang.unparsing%s
   --  libadalang.unparsing%b
   --  END ELABORATION ORDER

end adalangmain;
